<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ButtonBar?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>

<GridPane xmlns="http://javafx.com/javafx/8.0.141" xmlns:fx="http://javafx.com/fxml/1" fx:controller="newbieChat.controller.MatchController">
   <columnConstraints>
      <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" minWidth="10.0" />
   </columnConstraints>
   <rowConstraints>
      <RowConstraints minHeight="10.0" vgrow="SOMETIMES" />
      <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
   </rowConstraints>
   <children>
      <TabPane maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="520.0" prefWidth="396.0" tabClosingPolicy="UNAVAILABLE" GridPane.halignment="CENTER">
        <tabs>
          <Tab text="Basic">
               <content>
                  <GridPane>
                    <columnConstraints>
                      <ColumnConstraints fillWidth="false" halignment="CENTER" hgrow="SOMETIMES" maxWidth="1.7976931348623157E308" minWidth="-Infinity" />
                    </columnConstraints>
                    <rowConstraints>
                      <RowConstraints maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                        <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                        <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                      <RowConstraints maxHeight="1.7976931348623157E308" minHeight="10.0" vgrow="ALWAYS" />
                    </rowConstraints>
                     <children>
                        <ImageView fx:id="basicAvatar" fitHeight="250.0" fitWidth="250.0" pickOnBounds="true" preserveRatio="true" GridPane.hgrow="ALWAYS" GridPane.vgrow="ALWAYS">
                           <GridPane.margin>
                              <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
                           </GridPane.margin>
                        </ImageView>
                        <Label fx:id="basicNicknameLabel" text="..." GridPane.rowIndex="1">
                           <font>
                              <Font name="Calibri Bold" size="25.0" />
                           </font>
                           <GridPane.margin>
                              <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                           </GridPane.margin>
                        </Label>
                        <Label fx:id="basicNameLabel" text="..." GridPane.rowIndex="2">
                           <font>
                              <Font name="Calibri Bold" size="22.0" />
                           </font>
                           <GridPane.margin>
                              <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                           </GridPane.margin>
                        </Label>
                        <GridPane GridPane.rowIndex="3">
                          <columnConstraints>
                            <ColumnConstraints halignment="CENTER" hgrow="ALWAYS" percentWidth="40.0" />
                            <ColumnConstraints halignment="CENTER" hgrow="ALWAYS" percentWidth="60.0" />
                          </columnConstraints>
                          <rowConstraints>
                            <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                            <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                            <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                          </rowConstraints>
                           <children>
                              <Label fx:id="basicAgeKeyLabel" text="Age">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="basicAgeValueLabel" text="..." GridPane.columnIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="basicSexKeyLabel" text="Sex" GridPane.rowIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="basicSexValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="basicCountryKeyLabel" text="Country" GridPane.rowIndex="2">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="basicCountryValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="2">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                           </children>
                           <GridPane.margin>
                              <Insets top="10.0" />
                           </GridPane.margin>
                        </GridPane>
                     </children>
                  </GridPane>
               </content>
            </Tab>
          <Tab text="Details">
               <content>
                  <GridPane>
                     <columnConstraints>
                        <ColumnConstraints fillWidth="false" halignment="CENTER" hgrow="SOMETIMES" minWidth="10.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints fillHeight="false" maxHeight="1.7976931348623157E308" minHeight="-Infinity" valignment="TOP" vgrow="ALWAYS" />
                     </rowConstraints>
                     <children>
                        <GridPane>
                           <columnConstraints>
                              <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" percentWidth="50.0" />
                              <ColumnConstraints halignment="CENTER" hgrow="ALWAYS" />
                           </columnConstraints>
                           <rowConstraints>
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                              <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                           </rowConstraints>
                           <children>
                              <Label text="Age">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="detailsAgeValueLabel" text="..." GridPane.columnIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Sex" GridPane.rowIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="detailsSexValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Country" GridPane.rowIndex="2">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="detailsCountryValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="2">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="City" GridPane.rowIndex="3">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="cityValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="3">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Gaming style" GridPane.rowIndex="4">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="gamingStyleValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="4">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Time spent playing games" GridPane.rowIndex="5">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="timeSpentValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="5">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Preffered time of day" GridPane.rowIndex="6">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label fx:id="timeOfDayValueLabel" text="..." GridPane.columnIndex="1" GridPane.rowIndex="6">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                           </children>
                           <GridPane.margin>
                              <Insets top="30.0" />
                           </GridPane.margin>
                        </GridPane>
                     </children>
                  </GridPane>
               </content>
            </Tab>
            <Tab text="Game profiles">
               <content>
                  <GridPane>
                    <columnConstraints>
                      <ColumnConstraints fillWidth="false" halignment="CENTER" hgrow="ALWAYS" maxWidth="1.7976931348623157E308" />
                    </columnConstraints>
                    <rowConstraints>
                      <RowConstraints fillHeight="false" maxHeight="-Infinity" minHeight="-Infinity" valignment="CENTER" vgrow="NEVER" />
                        <RowConstraints maxHeight="1.7976931348623157E308" minHeight="-Infinity" valignment="CENTER" vgrow="ALWAYS" />
                    </rowConstraints>
                     <children>
                        <ComboBox fx:id="gameComboBox" prefWidth="200.0">
                           <GridPane.margin>
                              <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
                           </GridPane.margin>
                        </ComboBox>
                        <GridPane fx:id="gameProfilesGridPane" GridPane.rowIndex="1">
                          <columnConstraints>
                            <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" percentWidth="50.0" />
                            <ColumnConstraints halignment="CENTER" hgrow="ALWAYS" minWidth="-Infinity" percentWidth="50.0" />
                          </columnConstraints>
                          <rowConstraints>
                            <RowConstraints maxHeight="-Infinity" minHeight="-Infinity" valignment="TOP" vgrow="SOMETIMES" />
                              <RowConstraints maxHeight="-Infinity" minHeight="-Infinity" valignment="TOP" vgrow="SOMETIMES" />
                          </rowConstraints>
                           <children>
                              <Label text="Lane" GridPane.rowIndex="1">
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                              </Label>
                              <Label text="Tank" GridPane.columnIndex="1">
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                              </Label>
                              <Label text="Role">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                              <Label text="Mid" GridPane.columnIndex="1" GridPane.rowIndex="1">
                                 <font>
                                    <Font size="13.0" />
                                 </font>
                                 <GridPane.margin>
                                    <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
                                 </GridPane.margin>
                              </Label>
                           </children>
                           <GridPane.margin>
                              <Insets top="20.0" />
                           </GridPane.margin>
                        </GridPane>
                     </children>
                  </GridPane>
               </content>
            </Tab>
        </tabs>
      </TabPane>
      <ButtonBar GridPane.rowIndex="1">
        <buttons>
          <Button fx:id="acceptButton" mnemonicParsing="false" text="Accept" />
            <Button fx:id="discardButton" mnemonicParsing="false" text="Discard" />
        </buttons>
         <GridPane.margin>
            <Insets bottom="7.0" left="7.0" right="7.0" top="7.0" />
         </GridPane.margin>
      </ButtonBar>
   </children>
</GridPane>
